Skip to main content
PATCH
/
v1
/
admin
/
distribution
/
commission-rules
/
{id}
Update a commission rule
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/distribution/commission-rules/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contractId": "<string>",
  "scope": "<string>",
  "commissionType": "<string>",
  "productId": "<string>",
  "externalRateId": "<string>",
  "externalCategoryId": "<string>",
  "amountCents": 123,
  "percentBasisPoints": 123,
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25"
}
'
{
  "data": {}
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
contractId
string
required
scope
string
required
commissionType
string
required
productId
string
externalRateId
string
externalCategoryId
string
amountCents
integer
percentBasisPoints
integer
validFrom
string<date>
validTo
string<date>

Response

200 - application/json

Updated commission rule

data
object